回归最本质的信息安全

;

注意!Riddle漏洞正在影响低版本Oracle MySQL,请立即更新!

2017年4月18日发布

10,548
0
0

导语:MySQL 5.5、5.6客户端存在Riddle漏洞,允许攻击者使用MiTM(man-in-the-middle,中间人)攻击获取用户登录凭证,用户请立即更新到5.7版本。

近日,安全专家研究发现,MySQL 5.5、5.6客户端存在Riddle漏洞,允许攻击者使用MiTM(man-in-the-middle,中间人)攻击获取用户登录凭证,用户请立即更新到5.7版本。

关于中间人攻击(MiTM)

MiTM 攻击(Man-in-the-MiddleAttack)是一种“间接”的入侵攻击,这种攻击模式是通过各种技术手段将受入侵者控制的一台计算机虚拟放置在网络连接中的两台通信计算机之间,这台计算机就称为“中间人”。例如SMB会话劫持、DNS欺骗等攻击都是典型的MITM攻击。

窃取用户登录凭证的Riddle漏洞

安全研究人员之前已经在流行的数据库管理系统(DBMS)Oracle MySQL 中发现了这个被称为“The Riddle”的编码漏洞,该漏洞允许攻击者利用中间人攻击来窃取用户的用户名和密码等信息。

研究人员对于该漏洞的描述称,

“Riddle是Oracle MySQL5.5和5.6客户端数据库中发现的关键安全漏洞。该漏洞允许攻击者使用‘中间人攻击’来破坏MySQL客户端和服务器之间的SSL配置连接。这个漏洞是一个非常关键的安全漏洞,因为它影响到MySQL(一个非常流行的SQL数据库,SSL连接由其定义安全。)”

该漏洞编号为“CVE-2017-3305”,可以潜在地将用户登录凭证暴露给攻击者,当MySQL客户端5.5和5.6将这些用户凭证信息发送到服务器时,攻击者就能够顺利捕获它们。

针对5.5.49和5.6.30版本发布的安全更新无法完全解决这一安全漏洞。安全专家们注意到,5.7及更高版本以及MariaDB系统不受该安全问题的影响。

根据安全研究人员 Pali Rohár 所言,他们曾经尝试利用影响MySQL数据库的BACKRONYM漏洞的修补方式来修复Riddle漏洞,但是结果失败了。Backronym漏洞也同Riddle漏洞一样,允许攻击者运行中间人攻击来窃取用户登录凭证,即使流量已经被加密也无法阻止。

riddle-vulnerability-MySQL.png

Rohár写道,

“MySQL 5.5.49以及5.6.30 稳定版的安全更新包括在验证过程完成后添加安全参数的验证。因为验证完成后,攻击者可以使用中间人攻击与 SSL 降级攻击来窃取用户的登录数据,以便立即进行身份验证并登录 MySQL 服务器,可笑的部分是,MySQL 客户端不会在MySQL服务器拒绝验证用户时报告任何与 SSL 问题相关的错误,而是报告服务器发送的未加密的错误信息。此外,当中间人攻击处于活跃状态时,错误信息可以由攻击者控制。”

修复建议

安全专家建议用户尽快将客户端软件更新到MySQL 5.7 或 MariaDB,因为这些应用程序的安全更新正在正常运行,未受该安全漏洞影响。

需要注意的是,这个漏洞虽然早在今年2月份就已经发现了,但是目前仍然在影响Oracle MySql软件。

对此Rohár解释称,

“如果你不是Oracle 用户,那么你对他们报告安全漏洞是无用的(即使确实是与安全相关的漏洞)。他们可以完全无视这些安全报告,甚至希望任何人都不要知道这些报告和漏洞的存在,所以至此他们都没有对漏洞进行修复。所以,立即向用户公开披露这些安全漏洞看来是最有效的解决方案,因为这样可以让用户知道一旦受影响应该做什么,有效的保护用户数据安全。” 

本文翻译自securityaffairs.co,如若转载,请注明原文地址: http://www.4hou.com/info/news/4336.html

点赞 0
取消

感谢您的支持,我会继续努力的!

扫码支持

打开微信扫一扫后点击右上角即可分享哟

小二郎

这个人很懒,什么也没留下

发私信

发表评论